// @ts-ignore
export default (initialState) => {
	const permissions = initialState?.currentUserPermission?.map(
		(permissionVO: API.PermissionVO) => permissionVO.slug,
	);

	// 在这里按照初始化数据定义项目中的权限，统一管理
	// 参考文档 https://umijs.org/docs/max/access
	return {
		permission: (permission: API.PermissionVO['slug']): boolean => {
			return permissions?.indexOf(permission) > -1;
		},
	};
};
